Subject: bug#16644: 24.3.50; Can't get Git Org mode info files before info files bundled with Emacs

From: "Sebastien Vauban" <[email-masked]>
Date: Thu, 06 Feb 2014 23:10:14 +0100

Eli Zaretskii wrote:
>> From: "Sebastien Vauban" <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Wed, 05 Feb 2014 17:12:05 +0100
>> 
>> > Do you customize Info-additional-directory-list before or after
>> > info.elc is loaded?
>> 
>> Before, because it's in my minimal Emacs configuration file.
>
> Then it does has its influence,

I re-did the tests with GNU Emacs 24.3.50.1 (i686-pc-mingw32) of
2014-02-03 on LEG570 (and a patched Info.el, as asked by Glenn).

I have Org mode from Git installed at
~/Public/Repositories/org-mode/lisp.

I have an up-to-date Info file (generated by "make doc") at
~/Public/Repositories/org-mode/doc/org.

I checked that it's up-to-date by doing "info doc/org" from the root of
the Git repository: it shows me the doc for Org mode 8.2.5h.

1. Setting `Info-additional-directory-list', such in this MWE (just that
   to launch Emacs with, nothing else [1]):

--8<---------------cut here---------------start------------->8---
   ;; Org-mode
   (add-to-list 'load-path "~/Public/Repositories/org-mode/lisp")
                                           ; modify the paths to suit your environment!

   (setq Info-additional-directory-list
         `(,(expand-file-name
             (concat (file-name-directory (locate-library "org")) "../doc/"))
           "c:/cygwin/usr/share/info/"))
--8<---------------cut here---------------end--------------->8---

   has NO IMPACT on Info-directory-list (C-h v following an initial C-h i).

2.  Setting `Info-default-directory-list', such in this MWE:

--8<---------------cut here---------------start------------->8---
   ;; Org-mode
   (add-to-list 'load-path "~/Public/Repositories/org-mode/lisp")
                                           ; modify the paths to suit your environment!

   (setq Info-default-directory-list
         `(,(expand-file-name
             (concat (file-name-directory (locate-library "org")) "../doc/"))
           "c:/cygwin/usr/share/info/"
           ,@Info-default-directory-list))
--8<---------------cut here---------------end--------------->8---

   DOES CHANGE the variable `Info-directory-list', but my path is put
   AFTERWARD:

   ╭────
   │ Its value is
   │ ("c:/Program Files (x86)/emacs-trunk/share/info/"
   │ "d:/Users/fni/Public/Repositories/org-mode/doc/"
   │ "c:/cygwin/usr/share/info/")
   ╰────

In both cases, I get the doc of Org mode 8.2.5c, the one built with the
Emacs from a couple of days ago.

Don't you get the same results as me if you try the above recipe?

> see Info-find-file and Info-insert-dir.

Do you want me to make some specific test?

Best regards,
  Seb

[1] C:/Program Files (x86)/emacs-trunk/bin/emacs -q -l d:/Users/sva/src/emacs-leuven/.emacs-minimal.el

-- 
Sebastien Vauban